
CoCoALib - Feature #121

Porting "IdealOfPoints"

04 Apr 2012 09:22 - Anna Maria Bigatti

Status: Closed Start date: 04 Apr 2012

Priority: Urgent Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 30.00 hours

Description

Port in cocoalib the cocoa-4 C code about BuchbergerMoeller.

An important step in it is the lifting from Fp --> QQ (Chinese remaindering).

Does that part of code depend on cocoa-4 or is it self-contained?

Subtask: implement Chinese remaindering in cocoalib.

(no way to guess how long it would take)

Related issues:

Related to CoCoALib - Feature #144: Buchberger-Moeller: generic impl Closed 01 May 2012

Related to CoCoALib - Feature #374: Porting "IdealOfProjectivePoints" Closed 18 Jun 2013

Related to CoCoA-5 - Feature #454: interpolate New 03 Mar 2014

Related to CoCoA-5 - Feature #960: New function: IdealAndSeparatorsOfPoints New 02 Nov 2016

History

#1 - 19 Nov 2012 10:42 - Anna Maria Bigatti

- Priority changed from Normal to Urgent

I think that the good old code should be linked first.

Making a proper clean Chinese Remaindering in CoCoALib will require some careful designing.

#2 - 28 Jan 2013 08:03 - Anna Maria Bigatti

- Category set to New Function

#3 - 29 May 2013 16:58 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 100

JAA has effected the "transplant".  All the code should become totally obsolete when the proper new impl has been made, though it will be interesting

to use the transplanted code as a reference (both for correctness and for speed).

Anyway, the transplant should suffice for the CoCoA School 2013.

#4 - 02 Nov 2016 09:02 - Anna Maria Bigatti

- Related to Feature #960: New function: IdealAndSeparatorsOfPoints added
